/* eslint-disable no-useless-escape */

const regExpConfig = {
  paragraph: /^(?!\s).*$|^(?!\s).*[\n]/,
  paragraphAndEmpty: /^$|^(?!\s).*$|^(?!\s).*[\n]/,
  alpha: /^[a-zA-Z]*$/,
  alphanumeric: /^[0-9A-Za-z]*$/,
  alpha_mixed: /^[ A-Za-z*,.&'@]*$/,
  alphanumeric_mixed: /^[ A-Za-z0-9*,.&'@-]*$/,
  alphanumeric_space: /^([A-Za-z0-9,.&'@():/-]+ )+[A-Za-z0-9,.&'@():/-]+$|^[A-Za-z0-9,.&'@():/-]+$/,
  numerals: /^[0-9]\d*$/,
  numeralsDash: /^[0-9-]\d*$/,
  numeralsAndEmpty: /^$|^[0-9]\d*$/,
  numeralsAndEmptyDash: /^$|^[0-9-]+$/g,
  floatAndEmpty: /^$|^\d+(\.?|(\.\d+)?)$/,
  float: /^\d+(\.?|(\.\d+)?)$/,
  // money: /^-?(?:0|[1-9]\d{0,2}(?:,?\d{3})*)(?:\.)?$/,
  money: /^-?(?:0|[1-9]\d{0,2}(?:,?\d{3})*)(?:\.\d+)?$/,
  moneyAndEmpty: /^$|^-?(?:0|[1-9]\d{0,2}(?:,?\d{3})*)(?:\.\d+)?$/,
  passwordUpper: /^(?=(.*[A-Z]){3}).+/,
  passwordLower: /^(?=(.*[a-z]){3}).+/,
  passwordNumber: /^(?=(.*\d){3}).+/,
  passwordSpecial: /^(?=(.*[^A-Za-z0-9]){3}).+/,
  password: /^(?=.{8,})((?=.*[^a-zA-Z\s])(?=.*[a-z])(?=.*[A-Z])|(?=.*[^a-zA-Z0-9\s])(?=.*\d)(?=.*[a-zA-Z])).*$/,
  email: /^[a-zA-Z0-9][\w.-]*[a-zA-Z0-9]@[a-zA-Z0-9][\w.-]*[a-zA-Z0-9]\.[a-zA-Z0-9][a-zA-Z0-9.]*[a-zA-Z]$/,
  email_and_empty: /^$|^[a-zA-Z0-9][\w.-]*[a-zA-Z0-9]@[a-zA-Z0-9][\w.-]*[a-zA-Z0-9]\.[a-zA-Z0-9][a-zA-Z0-9.]*[a-zA-Z]$/,
  name: /^([A-Za-z,.&'-]+ )+[A-Za-z,.&'-]+$|^[A-Za-z,.&'-]+$/,
  company_name: /^([A-Za-z0-9,.&'@-]+ )+[A-Za-z0-9,.&'@-]+$|^[A-Za-z0-9,.&'@-]+$/,
  ph_mobile_no_and_empty: /^$|^9[0-9]\d{8}$/g,
  ph_mobile_no: /^9[0-9]\d{8}$/g,
  telephone_no: /^[0-9!@#$%^&*)(+=._-]+$/g,
  multiple_telephone_no: /^[0-9,! @#$%^&*)(+=._-]+$/g,
  tin_no: /^[0-9]\d{2}-\d{3}-\d{3}-\d{3}$/g,
  s2_no: /^[0-9A-Za-z-]*$/,
  philhealth_accreditation_no: /^[0-9]\d{3}-\d{7}-\d{1}$/g,
};

export default regExpConfig;
